## org.codehaus.groovy.grails.web.converters
Class AbstractConverter<W>

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter<W>

All Implemented Interfaces:
  Converter<W>

Direct Known Subclasses:
  JSON, XML

    public abstract class AbstractConverter<W>

extends Object
implements Converter<W>

Abstract base implementation of the Converter interface that provides a default toString() implementation

Author:
  Siegfried Puchbauer

Nested Class Summary

Nested classes/interfaces inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`Converter.CircularReferenceBehaviour`

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`DEFAULT_REQUEST_ENCODING`

Constructor Summary
`AbstractConverter()`

Method Summary
`protected BeanWrapper` `createBeanWrapper(Object o)`
`abstract void` `setTarget(Object target)`
`String` `toString()` Renders the result to a String and returns it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`build, convertAnother, getWriter, render, render`

Constructor Detail

### AbstractConverter

    public AbstractConverter()

Method Detail

### setTarget

    public abstract void setTarget(Object target)

### toString

    public String toString()

  Renders the result to a String and returns it

  Overrides:
    `toString` in class `Object`
  Returns:
    The converted object as a string

### createBeanWrapper

    protected BeanWrapper createBeanWrapper(Object o)

Copyright (c) 2005-2009 The Grails project